{
  pkgs,
  config,
  ...
}: {
    programs.neovim = {
        enable = true;
        defaultEditor = true;
        viAlias = true;
        vimAlias = true;
        vimdiffAlias = true;
    };

    home.file.".config/nvim" = {
        source = ./configs;
        # copy the scripts directory recursively
        recursive = true;
    };
}
